/**
 * @file
 * Visual styles for Corporate+'s articles grid views.
 */
.view-articles-grid .views-row {
  text-align: center;
  margin-bottom: 40px;
}

.view-articles-grid .article-header {
  background-color: #f4f4f4;
  color: #2d2d2d;
  padding: 40px 10px;
  border-radius: 5px;
  text-align: center;
  width: 90%;
  margin-left: 5%;
  position: relative;
  margin-bottom: 30px;
  z-index: 10;
  -webkit-transition: all 0.25s ease-in-out;
  -moz-transition: all 0.25s ease-in-out;
  -ms-transition: all 0.25s ease-in-out;
  -o-transition: all 0.25s ease-in-out;
  transition: all 0.25s ease-in-out;
}

.view-articles-grid .views-row:hover .article-header {
  -webkit-box-shadow: rgba(28, 56, 72, 0.1) 0px 2px 2px, rgba(28, 56, 72, 0.1) 0px 4px 4px, rgba(28, 56, 72, 0.1) 0px 8px 8px, rgba(28, 56, 72, 0.1) 0px 16px 16px;
  box-shadow: rgba(28, 56, 72, 0.1) 0px 2px 2px, rgba(28, 56, 72, 0.1) 0px 4px 4px, rgba(28, 56, 72, 0.1) 0px 8px 8px, rgba(28, 56, 72, 0.1) 0px 16px 16px;
}

.view-articles-grid .views-field-field-image + .article-header {
  margin-top: -55px;
}

.view-articles-grid .views-field-title h5 {
  margin: 0;
}

.view-articles-grid .views-field-title a {
  font-size: 20px;
  line-height: 1.3;
}

.headings-wide-spacing-enabled .view-articles-grid .views-field-title a {
  letter-spacing: 0.2em;
  text-transform: uppercase;
}

.view-articles-grid .views-field-title a:hover {
  text-decoration: none;
}

.view-articles-grid .article-meta {
  font-size: 0;
  margin-top: 10px;
}

.view-articles-grid .article-meta-item {
  font-size: 13px;
  display: inline-block;
  padding: 0px 15px;
  border-left: 1px solid #d7d7d7;
  line-height: 1.3;
}

.view-articles-grid .article-meta-item .username {
  text-transform: capitalize;
}

.view-articles-grid .article-meta-item:first-child {
  border-left: none;
  padding-left: 0;
}

.view-articles-grid .article-meta-item:last-child {
  padding-right: 0;
}

.view-articles-grid .views-field-body {
  margin-bottom: 5px;
}

.view-articles-grid .views-field-view-node {
  padding-bottom: 30px;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: #dfdfdf;
}

.view-articles-grid .col-xs-12.views-row:last-child .views-field-view-node {
  border-bottom-width: 0;
}

/*articles at colored regions*/
.region--gray-background .view-articles-grid .article-header {
  background-color: #ffffff;
}

.region--light-typography .view-articles-grid .article-header a {
  text-decoration: none;
}

.region--light-typography .view-articles-grid .views-field-view-node {
  border-color: #ffffff;
}


/* custom style articles (blogs)*/
.path-blog .view-articles-grid .views-row .article-header {
  padding-top: 30px;
  padding-bottom: 30px;
}

.path-blog .view-articles-grid .views-row .article-header .views-field-title > h5 > a {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

@media (min-width: 768px) {
  .path-blog .view-articles-grid .views-row .article-header .views-field-title > h5 > a {
    height: 50px;
  }

  .path-blog .view-articles-grid .views-row .views-field-body {
    height: 62.5px;
  }

  .path-blog .view-articles-grid .views-row .views-field-body p{
    padding: 0;
  }
}

@media (max-width: 767px) {
  .path-blog .view-articles-grid .views-row .article-header .views-field-title > h5 > a {
    max-height: 50px;
  }
}

/* filter by author */
.sidebar__section .block-views-blockmt-articles-grid-block-2,
.sidebar__section .block-blog-tags-links-block {
  padding-bottom: 50px;
}

.block-views-blockmt-articles-grid-block-2 > h2.title,
.block-blog-tags-links-block > h2.title {
  font-size: 16px;
  color: #333333;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping {
  height: 46px;
  overflow: hidden;
  margin-bottom: 15px;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-header {
  float: left;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content > .view-grouping {
  margin-left: 50px;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content .view-grouping-header {
  font-size: 13px;
  margin-bottom: 5px;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content .view-grouping-content > h3 {
  font-size: 10px;
  font-weight: 300;
  color: #666666;
  margin-top: 0;
  margin-bottom: 0;
  text-transform: none;
}

.view-mt-articles-grid.view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content .view-grouping-content > h3 > a:hover {
  text-decoration: none;
}


.reset-button-block > .reset-button {
  font-size: 16px;
  padding: 8px 15px;
}


/* filter for mobile */
@media (max-width: 767px) {
  .reset-button-block {
    margin: 0;
    text-align: center;
  }

  .reset-button-block .reset-button {
    width: 100%;
  }

  .filter-by {
    margin-top: 10px;
    margin-bottom: 50px;
    text-align: center;
  }

  .filter-by > .filter-header {
    position: relative;
    font-size: 30px;
    background-color: #ebebeb;
    color: #363636;
    padding: 10px 15px 10px 15px;
    line-height: 1;
    margin-bottom: 10px;
    width: 100%;
    text-align: center;
    border-radius: 4px;
    height: 50px;
    overflow: hidden;

  }

  .filter-header-text {
    width: 80%;
    font-size: 14px;
    text-transform: capitalize;
    position: absolute;
    top: 50%;
    margin-top: -7px;
    height: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    padding-left: 30px;
  }

  .filter-by > .filter-header > i{
    position: absolute;
    right: 15px;
    top: 50%;
    height: 30px;
    margin-top: -15px;
  }

  .filter-by > .filter-header > i,
  .filter-by .filter-content .block-views-blockmt-articles-grid-block-2 > h2.title > i,
  .filter-by .filter-content .block-blog-tags-links-block > h2.title > i {
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;
    -ms-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
    float: right;
  }

  .transform-rotate {
    -webkit-transform: rotate(-180deg);
    -moz-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
  }

  .filter-by .filter-content {
    display: none;
  }

  .filter-by .filter-content .block-views-blockmt-articles-grid-block-2 {
    padding-bottom: 10px;
  }

  .filter-by .filter-content .block-views-blockmt-articles-grid-block-2 > h2.title,
  .filter-by .filter-content .block-blog-tags-links-block > h2.title {
    font-size: 20px;
    color: #363636;
    font-weight: 300;
    text-transform: unset;
    padding: 5px 15px;
    margin: 0;
  }

  .filter-by .filter-content .block-views-blockmt-articles-grid-block-2 > .content,
  .filter-by .filter-content .block-blog-tags-links-block > .content {
    margin-top: 10px;

  }

  .filter-content .block-views-blockmt-articles-grid-block-2 .view-display-id-block_2 > .view-content > .view-grouping,
  .filter-content .block-blog-tags-links-block .content > .tag-links {
    padding: 5px 15px;
    height: unset;
    margin-bottom: 15px;
  }

  .filter-content .block-views-blockmt-articles-grid-block-2 .view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-header,
  .filter-content .block-views-blockmt-articles-grid-block-2 .view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content > .view-grouping > .view-grouping-content {
    display: none;
  }

  .filter-content .block-views-blockmt-articles-grid-block-2 .view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content > .view-grouping {
    margin-left: 0;
  }

  .filter-content .block-views-blockmt-articles-grid-block-2 .view-display-id-block_2 > .view-content > .view-grouping > .view-grouping-content > .view-grouping > .view-grouping-header,
  .filter-content .block-blog-tags-links-block .content {
    font-size: 14px;
    margin-bottom: 0;
  }

  .active {
    background-color: #ebebeb;
    color: #363636;
    border-radius: 4px;
  }
}